> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credit Grants for a customer

> List all Credit Grants and their outstanding balances where the balance is non-zero



## OpenAPI

````yaml billing.latest.product.live GET /credits/{customerId}/grants
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /credits/{customerId}/grants:
    servers: []
    parameters: []
    get:
      tags:
        - Credits
      summary: List Credit Grants for a customer
      description: >-
        List all Credit Grants and their outstanding balances where the balance
        is non-zero
      operationId: getCreditsByCustomerIdGrants
      parameters:
        - name: customerId
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListCreditGrantsForCustomerEndpointCreditGrantsResponse
                example:
                  items:
                    - id: 22efb229-c474-407c-bbf7-f5e113ee8b20
                      name: API Calls
                      grantAmount: 1000
                      balance: 324
                      issueDate: '2022-02-22'
                      expiryDate: '2030-03-03'
              examples:
                ListCreditGrantsForCustomerEndpointCreditGrantsResponse:
                  summary: ''
                  value:
                    items:
                      - id: 22efb229-c474-407c-bbf7-f5e113ee8b20
                        name: API Calls
                        grantAmount: 1000
                        balance: 324
                        issueDate: '2022-02-22'
                        expiryDate: '2030-03-03'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCreditGrantsForCustomerEndpointCreditGrantsResponse:
      required:
        - items
      type: object
      example:
        items:
          - id: 22efb229-c474-407c-bbf7-f5e113ee8b20
            name: API Calls
            grantAmount: 1000
            balance: 324
            issueDate: '2022-02-22'
            expiryDate: '2030-03-03'
      properties:
        items:
          type: array
          description: Credit Grants
          example:
            - id: 22efb229-c474-407c-bbf7-f5e113ee8b20
              name: API Calls
              grantAmount: 1000
              balance: 324
              issueDate: '2022-02-22'
              expiryDate: '2030-03-03'
          items:
            $ref: >-
              #/components/schemas/ListCreditGrantsForCustomerEndpointCreditGrantResponseItem
    ListCreditGrantsForCustomerEndpointCreditGrantResponseItem:
      required:
        - balance
        - grantAmount
        - id
        - issueDate
        - name
      type: object
      example:
        id: 22efb229-c474-407c-bbf7-f5e113ee8b20
        name: API Calls
        grantAmount: 1000
        balance: 324
        issueDate: '2022-02-22'
        expiryDate: '2030-03-03'
      properties:
        id:
          type: string
          description: Credit Grant ID
          example: 22efb229-c474-407c-bbf7-f5e113ee8b20
        name:
          type: string
          description: Credit Grant Name
          example: API Calls
        grantAmount:
          type: number
          description: Amount of Credits Granted
          example: 1000
        balance:
          type: number
          description: Amount remaining of Credits Granted
          example: 324
        issueDate:
          type: string
          description: Grant Issue Date
          format: date
          example: '2022-02-22'
        expiryDate:
          type: string
          description: Grant Expiry Date
          format: date
          example: '2030-03-03'

````